# Compromised Employee Account Update

PUT /cti/compromised-employee-accounts/{account_id}: Updates an account's profile with the fields in the request body.

Source: https://docs.deepinfo.com/reference/cti/compromised-employee-account-update/

Last updated: 2026-09-27

---
`PUT https://api.deepinfo.com/v1/cti/compromised-employee-accounts/{account_id}`

Updates an account's profile with the fields in the request body.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `account_id` | Required |  | `000000000000000ec9430001` |

## Request Body

| Parameter | Type | Required | Description |
|---|---|---|---|
| `is_executive` | boolean | Required |  |
| `first_name` | string | Optional | max length `100` |
| `last_name` | string | Optional | max length `100` |
| `title` | string | Optional | max length `100` |
| `linkedin_url` | string | Optional | min length `1`; max length `2083` |
| `department` | string | Optional | max length `100` |

```json
{
  "is_executive": false,
  "first_name": null,
  "last_name": null,
  "title": null,
  "linkedin_url": null,
  "department": null
}
```

## Response Fields

| Field | Type |
|---|---|
| `id` | string |
| `email` | string |
| `is_executive` | boolean |
| `first_name` | string |
| `last_name` | string |
| `title` | string |
| `linkedin_url` | string |
| `department` | string |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `email` | string |
| `is_executive` | boolean |
| `first_name` | null |
| `last_name` | null |
| `title` | null |
| `linkedin_url` | null |
| `department` | null |

## Examples

### 200 · OK

```bash
curl -X PUT 'https://api.deepinfo.com/v1/cti/compromised-employee-accounts/000000000000000ec9430001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "is_executive": false,
  "first_name": null,
  "last_name": null,
  "title": null,
  "linkedin_url": null,
  "department": null
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "000000000000000ec9430001",
  "email": "user@acme.example",
  "is_executive": false,
  "first_name": null,
  "last_name": null,
  "title": null,
  "linkedin_url": null,
  "department": null
}
```

### 400 · Not Found (nonexistent account_id)

```bash
curl -X PUT 'https://api.deepinfo.com/v1/cti/compromised-employee-accounts/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "is_executive",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
